当前位置:博客首页>>PHP >> 阅读正文

解决wordpress升级时出现的FastCGI超时错误

作者: 郑晓 分类: PHP 发布于: 2012-10-13 23:44 浏览(4,335) 评论(3)


闲暇之余又在本地电脑玩起了Wordpress,主要是最近又找了个不错的主题,打算在本地调试着过过瘾~~

前一段时间把本地环境升级成了IIS+PHP5.3,使用FastCGI运行模式。我的wordpress是很早之前安装的,登陆后台时打算升级一下系统。问题来了,点击自动升级,浏览器加载了大半天后IIS直接给我抛出个FastCGI错误,fastcgi error显示的错误描述是一行乱码,应该是页面执行超时。

我这里只是wordpress升级时出现的错误,相信也有不少站长在使用php5.3的fastcgi时会遇到这个错误,我的解决方法是这样的:

在C:\windows\system32\inetsrc\文件夹中找到fcgiext.ini配置文件;
找到[PHP],其后一般只会有一句exepath的路径配置,在这一句的后面回车,粘贴下面几句:

InstanceMaxRequests=10000
EnvironmentVars=PHP_FCGI_MAX_REQUESTS:10000

RequestTimeout=500
ActivityTimeout=900

保存关闭并重启IIS服务,现在再测试一下,应该已经正常了。当然也有可能没有任何效果,继续fastcgi error,郑晓在这里建议您:大吼一声:走你!同时拎起锤子来直接把电脑砸了卖废铁,再买一台重新配环境~百试不爽~~

       

本文采用知识共享署名-非商业性使用 3.0 中国大陆许可协议进行许可,转载时请注明出处及相应链接。

本文永久链接: https://www.zh30.com/to-solve-wordpress-upgrade-fastcgi-timeout-error.html

解决wordpress升级时出现的FastCGI超时错误:目前有3 条留言

用户评论头像 爱学习发表于 2012年10月18日 21:38[回复]

http://www.fuqiangtk.com相互学习

用户评论头像 5169.info发表于 2012年10月15日 18:00[回复]

本地环境和网速有很大关系哦,300s下载并解压wordpress需要不少的带宽呢

    用户评论头像 郑晓发表于 2012年10月16日 09:13[回复]

    我是单位的光纤,应该不会太差的啊.. 🙁